Package org.pushingpixels.substance.internal.utils

# Class SubstanceWidgetManager

java.lang.Object
org.pushingpixels.substance.internal.utils.SubstanceWidgetManager

public class SubstanceWidgetManager extends Object

## Method Summary

Modifier and Type
Method
Description
`static SubstanceWidgetManager`
`getInstance()`
`boolean`
`isAllowed(JRootPane rootPane, SubstanceConstants.SubstanceWidgetType widget)`
`boolean`
`isAllowedAnywhere(SubstanceConstants.SubstanceWidgetType widget)`
`void`
`register(JRootPane rootPane, boolean isAllowed, SubstanceConstants.SubstanceWidgetType... substanceWidgets)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static SubstanceWidgetManager getInstance()

### register

public void register(JRootPane rootPane, boolean isAllowed, SubstanceConstants.SubstanceWidgetType... substanceWidgets)

### isAllowed

public boolean isAllowed(JRootPane rootPane, SubstanceConstants.SubstanceWidgetType widget)

### isAllowedAnywhere

public boolean isAllowedAnywhere(SubstanceConstants.SubstanceWidgetType widget)